#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

# Setup script for make

__version__ = "$Revision: 1.3 $"[11:-2]
# $Source: /data/cvsroot/LivingLogic/Python/xpit/setup.py,v $

from distutils.core import setup
import textwrap

DESCRIPTION = """
ll-xpit is a module that makes it possible to embed Python expressions
in text (as XML style processing instructions).
"""

CLASSIFIERS="""
Development Status :: 4 - Beta
Intended Audience :: Developers
License :: OSI Approved :: Python License (CNRI Python License)
Operating System :: OS Independent
Programming Language :: Python
Topic :: Text Processing :: Filters
"""

KEYWORDS = """
text
template
processing instruction
"""

DESCRIPTION = "\n".join(textwrap.wrap(DESCRIPTION.strip(), width=64, replace_whitespace=True))

setup(
	name="ll-xpit",
	version="0.2",
	description="Extensible string templating via XML processing instructions",
	long_description=DESCRIPTION,
	author=u"Walter Drwald",
	author_email="walter@livinglogic.de",
	url="http://www.livinglogic.de/Python/xpit/",
	download_url="http://www.livinglogic.de/Python/xpit/Download.html",
	license="Python",
	classifiers=CLASSIFIERS.strip().splitlines(),
	keywords=",".join(KEYWORDS.strip().splitlines()),
	py_modules=["ll.xpit"],
	package_dir={"ll": ""},
)
